com.r3corda.core.testing / DummyLinearState

# DummyLinearState

`class DummyLinearState : LinearState`

### Constructors

<init> | `DummyLinearState(thread: SecureHash = SecureHash.randomSHA256(), contract: Contract = AlwaysSucceedContract(), participants: List<PublicKey> = listOf(), nonce: SecureHash = SecureHash.randomSHA256())`

### Properties

contract | `val contract: Contract` An instance of the contract class that will verify this state.
nonce | `val nonce: SecureHash`
participants | `val participants: List<PublicKey>` A participant is any party that is able to consume this state in a valid transaction.
thread | `val thread: SecureHash` Unique thread id within the wallets of all parties

### Functions

isRelevant | `fun isRelevant(ourKeys: Set<PublicKey>): Boolean` true if this should be tracked by our wallet(s)

### Extension Functions

hash | `fun ContractState.hash(): SecureHash` Returns the SHA-256 hash of the serialised contents of this state (not cached)